import { FilledSelectProps, BaseSelectProps, StandardSelectProps, OutlinedSelectProps } from '@mui/material/Select';

type SelectProps<Value = unknown> = (FilledSelectProps & BaseSelectProps<Value>) | (StandardSelectProps & BaseSelectProps<Value>) | (OutlinedSelectProps & BaseSelectProps<Value>);
declare const Select: (props: SelectProps) => JSX.Element;

export { type SelectProps, Select as default };
