import React from 'react';
import { TabsTypeMap } from '@mui/material/Tabs';
import { OverrideProps } from '@mui/material/OverridableComponent';

type TabsProps<RootComponent extends React.ElementType = TabsTypeMap['defaultComponent'], AdditionalProps = {}> = OverrideProps<TabsTypeMap<AdditionalProps, RootComponent>, RootComponent> & {
    component?: React.ElementType;
};
declare const Tabs: (props: TabsProps) => JSX.Element;

export { type TabsProps, Tabs as default };
