import { FC } from 'react';
import * as IconList from '@phosphor-icons/react';
import { IconProps } from '@phosphor-icons/react/dist/lib/types';

type IconNames = keyof typeof IconList;
interface SvgIconProps extends IconProps {
    iconName: IconNames;
}
declare const Icon: FC<SvgIconProps>;

export { type IconNames, type SvgIconProps, Icon as default };
