import React from 'react';
import { TablePaginationBaseProps, TablePaginationTypeMap } from '@mui/material/TablePagination';
import { OverrideProps } from '@mui/material/OverridableComponent';

type TablePaginationProps<RootComponent extends React.ElementType = React.JSXElementConstructor<TablePaginationBaseProps>, AdditionalProps = {}> = OverrideProps<TablePaginationTypeMap<AdditionalProps, RootComponent>, RootComponent> & {
    component?: React.ElementType;
};
declare const TablePagination: (props: TablePaginationProps) => JSX.Element;

export { type TablePaginationProps, TablePagination as default };
