import React from 'react';
import { TableRowTypeMap } from '@mui/material/TableRow';
import { OverrideProps } from '@mui/material/OverridableComponent';

type TableRowProps<RootComponent extends React.ElementType = TableRowTypeMap['defaultComponent'], AdditionalProps = {}> = OverrideProps<TableRowTypeMap<AdditionalProps, RootComponent>, RootComponent> & {
    component?: React.ElementType;
};
declare const TableRow: (props: TableRowProps) => JSX.Element;

export { type TableRowProps, TableRow as default };
