import React from 'react';
import { TableSortLabelTypeMap } from '@mui/material/TableSortLabel';
import { OverrideProps } from '@mui/material/OverridableComponent';

type TableSortLabelProps<RootComponent extends React.ElementType = TableSortLabelTypeMap['defaultComponent'], AdditionalProps = {}> = OverrideProps<TableSortLabelTypeMap<AdditionalProps, RootComponent>, RootComponent> & {
    component?: React.ElementType;
};
declare const TableSortLabel: (props: TableSortLabelProps) => JSX.Element;

export { type TableSortLabelProps, TableSortLabel as default };
