import React from 'react';
import { ToggleButtonTypeMap } from '@mui/material/ToggleButton';
import { OverrideProps } from '@mui/material/OverridableComponent';

type ToggleButtonProps<RootComponent extends React.ElementType = ToggleButtonTypeMap['defaultComponent'], AdditionalProps = {}> = OverrideProps<ToggleButtonTypeMap<AdditionalProps, RootComponent>, RootComponent> & {
    component?: React.ElementType;
};
declare const ToggleButton: (props: ToggleButtonProps) => JSX.Element;

export { type ToggleButtonProps, ToggleButton as default };
