import React from 'react';
import { ToolbarTypeMap } from '@mui/material/Toolbar';
import { OverrideProps } from '@mui/material/OverridableComponent';

type ToolbarProps<RootComponent extends React.ElementType = ToolbarTypeMap['defaultComponent'], AdditionalProps = {}> = OverrideProps<ToolbarTypeMap<AdditionalProps, RootComponent>, RootComponent> & {
    component?: React.ElementType;
};
declare const Toolbar: (props: ToolbarProps) => JSX.Element;

export { type ToolbarProps, Toolbar as default };
